Liblinphone: linphone::FriendPhoneNumber Class Reference

Liblinphone 5.2.0

Public Member Functions | List of all members
linphone::FriendPhoneNumber Class Reference

Object that represents a Friend's phone number. More...

`#include <friend_phone_number.hh>`

Inheritance diagram for linphone::FriendPhoneNumber:

## Public Member Functions
LINPHONECXX_PUBLIC | FriendPhoneNumber (void *ptr, bool takeRef=true)
LINPHONECXX_PUBLIC _LinphoneFriendPhoneNumber * | cPtr ()
LINPHONECXX_PUBLIC std::string | getLabel () const
| Gets the label associated to this phone number.
LINPHONECXX_PUBLIC void | setLabel (const std::string &label)
| Sets the label for this phone number.
LINPHONECXX_PUBLIC std::string | getPhoneNumber () const
| Gets the phone number.
LINPHONECXX_PUBLIC void | setPhoneNumber (const std::string &number)
| Sets the phone number.
LINPHONECXX_PUBLIC std::shared_ptr< linphone::FriendPhoneNumber > | clone () const
| Clones a phone number.

## Detailed Description

Object that represents a Friend's phone number.

## Member Function Documentation

## ◆ clone()

LINPHONECXX_PUBLIC std::shared_ptr< linphone::FriendPhoneNumber > linphone::FriendPhoneNumber::clone | ( |  | ) | const

Clones a phone number.

Returns
  The newly created FriendPhoneNumber object.

## ◆ getLabel()

LINPHONECXX_PUBLIC std::string linphone::FriendPhoneNumber::getLabel | ( |  | ) | const

Gets the label associated to this phone number.

Returns
  the label set if any, nullptr otherwise.

## ◆ getPhoneNumber()

LINPHONECXX_PUBLIC std::string linphone::FriendPhoneNumber::getPhoneNumber | ( |  | ) | const

Gets the phone number.

Returns
  the phone number stored.

## ◆ setLabel()

LINPHONECXX_PUBLIC void linphone::FriendPhoneNumber::setLabel | ( | const std::string & | label | ) |

Sets the label for this phone number.

Parameters

  label | the label to set.

## ◆ setPhoneNumber()

LINPHONECXX_PUBLIC void linphone::FriendPhoneNumber::setPhoneNumber | ( | const std::string & | number | ) |

Sets the phone number.

Parameters

  number | the phone number to set.

The documentation for this class was generated from the following file:

- friend_phone_number.hh